Bug 23863 - Editing a basket clears create_items value
Summary: Editing a basket clears create_items value
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: 19.05
Hardware: All All
: P5 - low major (vote)
Assignee: Kyle M Hall
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-10-21 19:39 UTC by Andrew Fuerste-Henry
Modified: 2019-11-08 15:17 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00,19.05.x


Attachments
Bug 23863: Editing a basket clears create_items value (2.05 KB, patch)
2019-10-22 18:09 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 23863: Editing a basket clears create_items value (2.10 KB, patch)
2019-10-22 21:18 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 23863: Editing a basket clears create_items value (2.15 KB, patch)
2019-10-24 06:14 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 23863: (QA follow-up) Add missing html filter (1.18 KB, patch)
2019-10-24 06:14 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Fuerste-Henry 2019-10-21 19:39:07 UTC
To test:
- Create a basket with a non-default value for aqbasket.create_items
- Click Edit from basket.pl
- Click Save without changing anything
- Note that aqbasket.create_items is no longer set
Comment 1 Andrew Fuerste-Henry 2019-10-21 19:40:24 UTC
I've confirmed this behavior on both 18.11 and 19.05
Comment 2 Kyle M Hall 2019-10-22 18:09:12 UTC
Created attachment 94586 [details] [review]
Bug 23863: Editing a basket clears create_items value

Test Plan:
1) Create a basket with a non-default value for aqbasket.create_items
2) Click Edit from basket.pl
3) Click Save without changing anything
4) Note that aqbasket.create_items is no longer set
5) Apply this patch
6) Restart all the things!
7) Repeat steps 1-3
8) Note create_items is unchanged!
Comment 3 ByWater Sandboxes 2019-10-22 21:18:54 UTC
Created attachment 94597 [details] [review]
Bug 23863: Editing a basket clears create_items value

Test Plan:
1) Create a basket with a non-default value for aqbasket.create_items
2) Click Edit from basket.pl
3) Click Save without changing anything
4) Note that aqbasket.create_items is no longer set
5) Apply this patch
6) Restart all the things!
7) Repeat steps 1-3
8) Note create_items is unchanged!

Signed-off-by: Andrew Fuerste-Henry <andrew@bywatersolutions.com>
Comment 4 Andrew Fuerste-Henry 2019-10-22 21:19:38 UTC
Signed off on behalf of Sarah Cornell - Portsmouth Public Library
Comment 5 Katrin Fischer 2019-10-24 06:12:48 UTC
Hi Andrew, do you have an email of Sarah? We could add her sign-off to the patch then.
Comment 6 Katrin Fischer 2019-10-24 06:14:40 UTC
Created attachment 94644 [details] [review]
Bug 23863: Editing a basket clears create_items value

Test Plan:
1) Create a basket with a non-default value for aqbasket.create_items
2) Click Edit from basket.pl
3) Click Save without changing anything
4) Note that aqbasket.create_items is no longer set
5) Apply this patch
6) Restart all the things!
7) Repeat steps 1-3
8) Note create_items is unchanged!

Signed-off-by: Andrew Fuerste-Henry <andrew@bywatersolutions.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 7 Katrin Fischer 2019-10-24 06:14:43 UTC
Created attachment 94645 [details] [review]
Bug 23863: (QA follow-up) Add missing html filter

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 8 Martin Renvoize 2019-10-24 09:56:52 UTC
Nice work!

Pushed to master for 19.11.00
Comment 9 Martin Renvoize 2019-10-24 10:00:20 UTC
Nice work!

Pushed to master for 19.11.00
Comment 10 Andrew Fuerste-Henry 2019-10-24 12:28:30 UTC
(In reply to Katrin Fischer from comment #5)
> Hi Andrew, do you have an email of Sarah? We could add her sign-off to the
> patch then.

Whoops, sorry! sbcornell@cityofportsmouth.com
Comment 11 Martin Renvoize 2019-10-24 12:52:44 UTC
Done and pushed... thanks for catching that one Katrin.
Comment 12 Fridolin SOMERS 2019-11-08 15:17:59 UTC
Pushed to 19.05.x for 19.05.05